# Uses of Class
org.apache.velocity.app.event.EventCartridge

Packages that use EventCartridge
Package
Description
org.apache.velocity.context
org.apache.velocity.runtime

## Uses of EventCartridge in org.apache.velocity.context

Methods in org.apache.velocity.context that return EventCartridge
Modifier and Type
Method
Description
`EventCartridge`
ChainedInternalContextAdapter.`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
InternalContextAdapterImpl.`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
InternalEventContext.`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
ChainedInternalContextAdapter.`getEventCartridge()`
`EventCartridge`
InternalContextAdapterImpl.`getEventCartridge()`
`EventCartridge`
InternalEventContext.`getEventCartridge()`
Methods in org.apache.velocity.context with parameters of type EventCartridge
Modifier and Type
Method
Description
`EventCartridge`
ChainedInternalContextAdapter.`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
InternalContextAdapterImpl.`attachEventCartridge(EventCartridge ec)`
`EventCartridge`
InternalEventContext.`attachEventCartridge(EventCartridge ec)`

## Uses of EventCartridge in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return EventCartridge
Modifier and Type
Method
Description
`EventCartridge`
RuntimeInstance.`getApplicationEventCartridge()`
Returns the event handlers for the application.
`EventCartridge`
RuntimeServices.`getApplicationEventCartridge()`
Returns the event handlers for the application.
`EventCartridge`
RuntimeSingleton.`getEventCartridge()`
Returns the event handlers for the application.